function skleenoe_new=skleyka(skleenoe,mas_newy,dt);
%Процедура склеивания двух слоев: Процедура происходит от меньших слоев к
%большим. Каждый следующий слой подтягивает склейку к себе.
n1=length(mas_newy);
n2=length(skleenoe);
if (n1<n2)
    n=n1;
else
    n=n2;
end
%plot(skleenoe);
%hold on;
%plot(mas_newy);
nsteps=n/dt;
skleenoe_new=[];
for i=1:dt:n-dt
    dy_beg=skleenoe(i)-mas_newy(i);
    dy_end=skleenoe(i+dt)-mas_newy(i+dt);
    for j=0:dt
        skleenoe_new(i+j)=skleenoe(i+j)-dy_beg-j*(dy_end-dy_beg)/dt;
    end
end